:root {
    --color-primary: #0D9FDE;

    --color-black: #000000;
    --color-white: #ffffff;

    --border-radius: 5px;
}

/* background colors */
.bg-primary { background-color: var(--color-primary); }
.bg-black { background-color: var(--color-black); }
.bg-white { background-color: var(--color-white); }

/* text colors */
.text-primary { color: var(--color-primary); }
.text-black { color: var(--color-black); }
.text-white { color: var(--color-white); }

.border-radius { border-radius: var(--border-radius); }

/* basic */
* { box-sizing: border-box; }
html { scroll-behavior: smooth; }
img { max-width: 100%; }

body {
    background-color: #EFEFEF;
}

/* button */
.btn {
    display: inline-flex;
    align-items: center;
    padding: 0.5rem 1rem;
    background-color: var(--color-primary);
    font-size: 1rem;
    color: #ffffff;
    transition: all 250ms ease-in-out;
    border-radius: var(--border-radius);
}

.btn:hover {
    background-color: var(--color-black);
    color: #ffffff;
}

.btn i {
    margin-left: 0.5rem;
}

.link {
    color: var(--color-black);
    font-weight: 600;
}

.link:hover {
    color: var(--color-primary);
}

/* footer */
footer {
    position: absolute;
    bottom: 0;
    width: 100%;
    padding-top: 1rem;
    padding-bottom: 1rem;
}

/* nav */
.nav-footer {
    text-align: right;
}

.nav-footer ul {
    display: inline-flex;
}

.nav-footer ul li {
    text-decoration: none;
    list-style: none;
    margin-right: 2rem;
}

.nav-footer ul li a:hover {
    color: var(--color-primary);
}

.nav-footer ul li:last-of-type {
    margin-right: 0;
}

/* custom */
.site-main {
    min-height: 100vh;
    display: flex;
    align-items: center;
}

.wrapper-content {
    padding-right: 9rem;
    display: flex;
    align-items: center;
    margin-top: 3rem;
    margin-bottom: 3rem;
}

.wrapper-img {
    display: flex;
    align-items: center;
}

.img-container {
    width: 100%;
    height: 0;
    padding-bottom: 100%;
    background-color: var(--color-white);
    position: relative;
    border-radius: var(--border-radius);
}

.img-container img {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
}

/* social */
.social-wrapper {
    margin-top: 3rem;
}

.social {
    display: inline-flex;
}

.social-circle {
    width: 3rem;
    height: 3rem;
    background-color: var(--color-white);
    margin-right: 0.5rem;
    border-radius: 10rem;
    display: flex;
    align-items: center;
    justify-content: center;
    transition: all 150ms ease;
}

.social-circle:last-of-type {
    margin-right: 0;
}

.social-circle i {
    font-size: 1.3rem;
    color: var(--color-primary);
}

.social-circle:hover {
    background-color: var(--color-primary);
}

.social-circle:hover i {
    color: var(--color-white);
}

@media screen and (max-width: 768px) {
    footer {
        position: relative;
    }

    .nav-footer {
        text-align: left;
    }

    .nav-footer ul {
        padding-top: 0.5rem;
        padding-bottom: 0.5rem;
        display: block;
        text-align: center;
    }

    .nav-footer ul li {
        margin-right: 0;
        margin-top: 0.5rem;
        margin-bottom: 1rem;
    }

    footer .container .row {
        flex-direction: column-reverse;
    }

    .wrapper-content {
        padding-right: 0;
        text-align: center;
    }

    footer {
        text-align: center;
    }
}
